<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:tns="http://xvergabe.org/interface/wsdl/4" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:sp="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" name="XVergabe-Policy" targetNamespace="http://xvergabe.org/interface/wsdl/4">
	<wsp:Policy wsu:Id="username_policy">
		<sp:SupportingTokens>
			<wsp:Policy>
				<sp:UsernameToken sp:IncludeToken="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702/IncludeToken/AlwaysToRecipient"/>
			</wsp:Policy>
		</sp:SupportingTokens>
	</wsp:Policy>
	<wsp:Policy wsu:Id="never_username_policy">
		<sp:SupportingTokens>
			<wsp:Policy>
				<sp:UsernameToken sp:IncludeToken="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702/IncludeToken/Never"/>
			</wsp:Policy>
		</sp:SupportingTokens>
	</wsp:Policy>
	<wsp:Policy wsu:Id="authentication_policy">
		<wsp:ExactlyOne>
			<wsp:PolicyReference URI="username_policy"/>
		</wsp:ExactlyOne>
	</wsp:Policy>
	<wsp:Policy wsu_Id="authentication_optional_policy">
		<wsp:ExactlyOne>
			<wsp:All>
				<wsp:PolicyReference URI="username_policy"/>
			</wsp:All>
			<wsp:All>
				<wsp:PolicyReference URI="never_username_policy"/>
			</wsp:All>
		</wsp:ExactlyOne>
	</wsp:Policy>
	<wsp:Policy wsu:Id="HTTPS_policy">
		<sp:TransportBinding>
			<wsp:Policy>
				<sp:TransportToken>
					<wsp:Policy>
						<sp:HttpsToken/>
					</wsp:Policy>
				</sp:TransportToken>
				<sp:AlgorithmSuite>
					<wsp:Policy>
						<sp:Basic256/>
					</wsp:Policy>
				</sp:AlgorithmSuite>
			</wsp:Policy>
		</sp:TransportBinding>
	</wsp:Policy>
</wsdl:definitions>
